Bug 210878 - KNetworkManager crashed while upgrading, when NetworkManager was restarted (Knm::Activatable::deviceUni, compareDevices, activatableLessThan)
Summary: KNetworkManager crashed while upgrading, when NetworkManager was restarted (K...
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: HI crash with 80 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
: 209092 211586 212441 212443 213237 213522 213775 214428 215781 215918 217089 219396 219689 222257 222322 224297 224750 226007 226015 227090 231278 231861 232104 235015 235675 241678 242283 243887 244291 245839 246176 246871 248408 248662 249226 249270 249299 250798 252410 252712 252995 253196 253521 253726 253885 253993 254112 254337 254344 254828 254993 255159 255368 255456 255945 256026 256165 256244 256552 256631 256900 257472 258168 258469 258539 258762 258907 258956 259221 260324 260637 261893 263047 263487 263827 263968 264185 264881 265797 266079 267500 268795 270705 271666 273684 281685 325694 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-10-17 14:08 UTC by Jonathan Thomas
Modified: 2013-12-15 20:43 UTC (History)
74 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
knetworkmanager-20091218.kcrash (6.61 KB, text/plain)
2009-12-18 18:56 UTC, Marcin Brański
Details
New crash information added by DrKonqi (7.86 KB, text/plain)
2010-07-18 23:45 UTC, Jean-Charles CASTELLANI
Details
New crash information added by DrKonqi (7.57 KB, text/plain)
2010-09-09 07:48 UTC, Fave Arju
Details
New crash information added by DrKonqi (8.38 KB, text/plain)
2010-10-13 05:59 UTC, GeoK
Details
New crash information added by DrKonqi (6.93 KB, text/plain)
2010-12-06 04:48 UTC, GJ Johnson
Details
New crash information added by DrKonqi (10.70 KB, text/plain)
2011-03-10 18:16 UTC, shani
Details
New crash information added by DrKonqi (10.04 KB, text/plain)
2011-04-13 17:39 UTC, Matthew Flaschen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Thomas 2009-10-17 14:08:52 UTC
Version:            (using KDE 4.3.2)
OS:                Linux
Installed from:    Ubuntu Packages

Using KNetworkManager 0.9 svn 1029786, originally reported at https://launchpad.net/bugs/453697

The user reported a KNetworkManager crash that occurred when NetworkManager restarted during an upgrade. The crash had the following backtrace:

.
Thread 1 (process 3868):
#0  Knm::Activatable::deviceUni (this=0x87b8808)
    at /usr/include/qt4/QtCore/qatomic_i386.h:120
No locals.
#1  0x0037e0e1 in compareDevices (first=0x87b8808, second=0x8768b30)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/sortedactivatablelist.cpp:263
	firstIface = (class Solid::Control::NetworkInterface *) 0x0
	secondIface = <value optimized out>
#2  0x0037e23c in activatableLessThan (first=0x87b8808, second=0x8768b30)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/sortedactivatablelist.cpp:173
	i = <value optimized out>
#3  0x0037e502 in qSortHelper<QList<Knm::Activatable*>::iterator, Knm::Activatable*, bool (*)(const Knm::Activatable*, const Knm::Activatable*)> (
    start=<value optimized out>, end=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece.
)
    at /usr/include/qt4/QtCore/qalgorithms.h:384
	span = 12
#4  0x0037e6b7 in SortedActivatableList::handleAdd (this=0x87ba320, 
    activatable=0x8768b30) at /usr/include/qt4/QtCore/qalgorithms.h:204
	d = (SortedActivatableListPrivate * const) 0x87ba2a8
#5  0x0036cd23 in ActivatableList::addActivatableInternal (this=0x8769b48, 
    activatable=0x8768b30)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/activatablelist.cpp:94
	observer = (class ActivatableObserver *) 0xbf945fec
	_container_ = {c = {{p = {static shared_null = {ref = {
            _q_value = 2338}, alloc = 0, begin = 0, end = 0, sharable = 1, 
          array = {0x0}}, d = 0x87bb938}, d = 0x87bb938}}, brk = 0, i = {
    i = 0x87bb970}, e = {i = 0x87bb974}}
	d = <value optimized out>
#6  0x0036cdbc in ActivatableList::addActivatable (this=0x8769b48, 
    activatable=0x20796c70)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/activatablelist.cpp:82
No locals.
#7  0x00370db5 in WirelessNetworkInterfaceActivatableProvider::handleAdd (
    this=0x87e3fd0, addedConnection=0x87671c8)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:132
	ifaceConnection = (class Knm::WirelessInterfaceConnection *) 0x8768b30
	network = (class Solid::Control::WirelessNetwork *) 0x0
	knmNetwork = (class Knm::WirelessNetwork *) 0x0
	ourWicFound = false
	ourHiddenWicFound = false
	wirelessSetting = (class Knm::WirelessSetting *) 0x87ba870
	__PRETTY_FUNCTION__ = "virtual void WirelessNetworkInterfaceActivatableProvider::handleAdd(Knm::Connection*)"
#8  0x003710f9 in WirelessNetworkInterfaceActivatableProvider::networkAppeared
    (this=0x87e3fd0, ssid=@0xbf946428)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:176
	connection = (class Knm::Connection *) 0xbf945fec
	uuid = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 3449}, alloc = 0, size = 0, data = 0x806b892, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 48}, 
    alloc = 0, size = 0, data = 0xdae46e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x87b9f18, static codecForCStrings = 0x0}
	_container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
            ref = {_q_value = 2338}, alloc = 0, begin = 0, end = 0, 
            sharable = 1, array = {0x0}}, d = 0x87d8478}, 
        d = 0x87d8478}}, <No data fields>}, brk = 0, i = {i = 0x87d848c}, 
  e = {i = 0x87d8494}}
	__PRETTY_FUNCTION__ = "void WirelessNetworkInterfaceActivatableProvider::networkAppeared(const QString&)"
	d = (
    WirelessNetworkInterfaceActivatableProviderPrivate * const) 0x87e02c8
	hasConnection = 251
#9  0x00371aa9 in WirelessNetworkInterfaceActivatableProvider (
    this=0x87e3fd0, connectionList=0x8759f18, activatableList=0x8769b48, 
    interface=0x86e7190, parent=0x87adaa8)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:76
	network = {static null = {<No data fields>}, static shared_null = {
    ref = {_q_value = 3449}, alloc = 0, size = 0, data = 0x806b892, 
    clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, 
    reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 48}, 
    alloc = 0, size = 0, data = 0xdae46e, clean = 0, simpletext = 0, 
    righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {
      0}}, d = 0x87acec0, static codecForCStrings = 0x0}
	_container_ = {c = {<QList<QString>> = {{p = {static shared_null = {
            ref = {_q_value = 2338}, alloc = 0, begin = 0, end = 0, 
            sharable = 1, array = {0x0}}, d = 0x87e2928}, 
        d = 0x87e2928}}, <No data fields>}, brk = 0, i = {i = 0x87e293c}, 
  e = {i = 0x87e2940}}
	d = <value optimized out>
#10 0x0036d58c in NetworkInterfaceMonitor::networkInterfaceAdded (
    this=0x87adaa8, uni=@0xbf946784)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/libs/service/networkinterfacemonitor.cpp:71
	provider = (class NetworkInterfaceActivatableProvider *) 0x6bd4f41
	d = (NetworkInterfaceMonitorPrivate * const) 0x87ae9f8
	iface = <value optimized out>
#11 0x00366edb in NetworkInterfaceMonitor::qt_metacall (this=0x87adaa8, 
    _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbf9465c8)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/obj-i486-linux-gnu/libs/service/moc_networkinterfacemonitor.cpp:69
No locals.
#12 0x00cd2263 in QMetaObject::activate (sender=0x876f7a0, 
    from_signal_index=5, to_signal_index=5, argv=0xbf9465c8)
    at kernel/qobject.cpp:3113
	c = <value optimized out>
	method = 4
	currentSender = {sender = 0x876f7a0, signal = 5, ref = 1}
	previousSender = (QObjectPrivate::Sender *) 0x0
	i = 2
	count = 4
	signal = 5
	empty_argv = {0x0}
	locker = {{mtx = 0x867be7c, val = 141016700}}
	currentThreadData = <value optimized out>
	connectionLists = (QObjectConnectionListVector *) 0x87a8ed0
#13 0x00cd2ec2 in QMetaObject::activate (sender=0x876f7a0, m=0x3bc6e0, 
    local_signal_index=1, argv=0xbf9465c8) at kernel/qobject.cpp:3187
	signal_index = 142330888
#14 0x003a43a3 in Solid::Control::NetworkManager::Notifier::networkInterfaceAdded (this=0x876f7a0, _t1=@0xbf946784) at ./networkmanager.moc:101
	_a = {0x0, 0xbf946784}
#15 0x003a4e36 in Solid::Control::NetworkManagerPrivate::_k_networkInterfaceAdded (this=0x876f7a0, uni=@0xbf946784)
    at ../../../../libs/solid/control/networkmanager.cpp:197
	pair = <value optimized out>
#16 0x003a4eb7 in Solid::Control::NetworkManagerPrivate::qt_metacall (
    this=0x876f7a0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbf946728)
    at ./networkmanager_p.moc:75
No locals.
#17 0x00cd2263 in QMetaObject::activate (sender=0x8793b30, 
    from_signal_index=13, to_signal_index=13, argv=0xbf946728)
    at kernel/qobject.cpp:3113
	c = <value optimized out>
	method = 10
	currentSender = {sender = 0x8793b30, signal = 13, ref = 1}
	previousSender = (QObjectPrivate::Sender *) 0x0
	i = 0
	count = 1
	signal = 13
	empty_argv = {0x0}
	locker = {{mtx = 0x867be7c, val = 141016700}}
	currentThreadData = <value optimized out>
	connectionLists = (QObjectConnectionListVector *) 0x86e6d20
#18 0x00cd2ec2 in QMetaObject::activate (sender=0x8793b30, m=0x1918a70, 
    local_signal_index=1, argv=0xbf946728) at kernel/qobject.cpp:3187
	signal_index = 142330888
#19 0x018ff143 in NMNetworkManager::networkInterfaceAdded (this=0x8793b30, 
    _t1=@0xbf946784) at ./manager.moc:128
	_a = {0x0, 0xbf946784}
#20 0x019006a8 in NMNetworkManager::deviceAdded (this=0x8793b30, 
    objpath=@0x879adf8) at ../../../solid/networkmanager-0.7/manager.cpp:199
	__PRETTY_FUNCTION__ = "void NMNetworkManager::deviceAdded(const QDBusObjectPath&)"
	d = <value optimized out>
#21 0x0190387d in NMNetworkManager::qt_metacall (this=0x8793b30, 
    _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0xbf9468c8)
    at ./manager.moc:105
No locals.
#22 0x00cd2263 in QMetaObject::activate (sender=0x86e71a0, 
    from_signal_index=5, to_signal_index=5, argv=0xbf9468c8)
    at kernel/qobject.cpp:3113
	c = <value optimized out>
	method = 20
	currentSender = {sender = 0x86e71a0, signal = 5, ref = 1}
	previousSender = (QObjectPrivate::Sender *) 0x0
	i = 0
	count = 1
	signal = 5
	empty_argv = {0x0}
	locker = {{mtx = 0x867be7c, val = 141016700}}
	currentThreadData = <value optimized out>
	connectionLists = (QObjectConnectionListVector *) 0x86e6c98
#23 0x00cd2ec2 in QMetaObject::activate (sender=0x86e71a0, m=0x1919a80, 
    local_signal_index=0, argv=0xbf9468c8) at kernel/qobject.cpp:3187
	signal_index = 142330888
#24 0x0190fe53 in OrgFreedesktopNetworkManagerInterface::DeviceAdded (
    this=0x86e71a0, _t1=@0x879adf8) at ./nm-manager-clientinterface.moc:149
	_a = {0x0, 0x879adf8}
#25 0x01910385 in OrgFreedesktopNetworkManagerInterface::qt_metacall (
    this=0x86e71a0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf946b2c)
    at ./nm-manager-clientinterface.moc:96
No locals.
#26 0x0044c7b4 in QDBusConnectionPrivate::deliverCall (this=0x87665a8, 
    object=0x86e71a0, msg=@0x87ce4b4, metaTypes=@0x87ce4b8, slotIdx=5)
    at qdbusintegrator.cpp:891
	context = {connection = {static staticMetaObject = {d = {
        superdata = 0x0, stringdata = 0x489ec0 "QDBusConnection", 
        data = 0x48a0a0, extradata = 0x0}}, d = 0x87665a8}, 
  message = @0x87ce4b4}
	old = (QDBusContextPrivate *) 0x0
	ptr = {o = 0x86e71a0}
	params = {a = 10, s = 2, ptr = 0xbf946b2c, {
    array = "\000\000\000\000ø­y\b(Ly\bÀty\bv]H\000¨ev\b\000\000\000\000\a\000\000\000th¼\000ôßÚ\000\200öz\b¨k\224¿", 
    q_for_alignment_1 = 610710505148907520, 
    q_for_alignment_2 = 7.7773481014795592e-268}}
	i = <value optimized out>
	outputArgs = {{p = {static shared_null = {ref = {_q_value = 2338}, 
        alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
      d = 0x806b8e8}, d = 0x806b8e8}}
	fail = true
	auxParameters = {{p = {static shared_null = {ref = {_q_value = 2338}, 
        alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, 
      d = 0x806b8e8}, d = 0x806b8e8}}
	pCount = 1
warning: (Internal error: pc 0x454196 in read in psymtab, but not in symtab.)
.
warning: (Internal error: pc 0x454196 in read in psymtab, but not in symtab.)
.
#27 0x00454197 in QDBusCallDeliveryEvent::placeMetaCall (this=warning: (Internal error: pc 0x454196 in read in psymtab, but not in symtab.)
.
0x87ce488, 
    object=warning: (Internal error: pc 0x454196 in read in psymtab, but not in symtab.)
.
0x86e71a0) at qdbusintegrator_p.h:101
warning: (Internal error: pc 0x454196 in read in psymtab, but not in symtab.)
.
No locals.
#28 0x00ccc5fe in QObject::event (this=0x86e71a0, e=0x87ce488)
    at kernel/qobject.cpp:1111
	currentSender = {sender = 0x87665a8, signal = -1, ref = 1}
	previousSender = (QObjectPrivate::Sender * const) 0x0
#29 0x00f72f54 in QApplicationPrivate::notify_helper (this=0x869b2a0, 
    receiver=0x86e71a0, e=0x87ce488) at kernel/qapplication.cpp:4056
	consumed = <value optimized out>
#30 0x00f7a67c in QApplication::notify (this=0xbf947330, receiver=0x86e71a0, 
    e=0x87ce488) at kernel/qapplication.cpp:3603
	res = true
#31 0x0090bbfa in KApplication::notify (this=0xbf947330, receiver=0x86e71a0, 
    event=0x87ce488) at ../../kdeui/kernel/kapplication.cpp:302
No locals.
#32 0x00cbc6cb in QCoreApplication::notifyInternal (this=0xbf947330, 
    receiver=0x86e71a0, event=0x87ce488) at kernel/qcoreapplication.cpp:610
	result = false
	cbdata = {0x86e71a0, 0x87ce488, 0xbf946f4f}
	threadData = (QThreadData *) 0x867be48
	returnValue = <value optimized out>
#33 0x00cbd2b2 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x867be48)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
	pe = (const QPostEvent &) @0x87aee70: {receiver = 0x86e71a0, 
  event = 0x0, priority = 0}
	e = (class QEvent *) 0x87ce488
	r = (class QObject *) 0x86e71a0
	locker = {{mtx = 0x867be70, val = 141016688}}
	startOffset = 0
	i = (int &) @0x867be68: 6
#34 0x00cbd47d in QCoreApplication::sendPostedEvents (receiver=0x0, 
    event_type=0) at kernel/qcoreapplication.cpp:1140
	data = <value optimized out>
#35 0x00ce73ff in postEventSourceDispatch (s=0x869d7d8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
No locals.
#36 0x06467e78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#37 0x0646b720 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#38 0x0646b853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
No symbol table info available.
#39 0x00ce702c in QEventDispatcherGlib::processEvents (this=0x867ba30, flags=
      {i = 36}) at kernel/qeventdispatcher_glib.cpp:327
	d = (QEventDispatcherGlibPrivate * const) 0x869d400
	canWait = true
	result = <value optimized out>
#40 0x01013be5 in QGuiEventDispatcherGlib::processEvents (this=0x867ba30, 
    flags={i = 36}) at kernel/qguieventdispatcher_glib.cpp:202
	d = (QGuiEventDispatcherGlibPrivate * const) 0x869b360
	returnValue = 236
#41 0x00cbac79 in QEventLoop::processEvents (this=0xbf947294, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece.
)
    at kernel/qeventloop.cpp:149
	d = (QEventLoopPrivate * const) 0x87eb770
#42 0x00cbb0ca in QEventLoop::exec (this=0xbf947294, flags={i = 0})
    at kernel/qeventloop.cpp:201
	d = (QEventLoopPrivate * const) 0x87eb770
	app = <value optimized out>
#43 0x00cbd53f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
	threadData = (QThreadData *) 0x867be48
	eventLoop = {<QObject> = {_vptr.QObject = 0xdad7a8, 
    static staticMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xd55ba0 "QObject", data = 0xd55c40, 
        extradata = 0xda91b8}}, d_ptr = 0x87eb770, 
    static staticQtMetaObject = {d = {superdata = 0x0, 
        stringdata = 0xd5f380 "Qt", data = 0xd62700, extradata = 0x0}}}, 
  static staticMetaObject = {d = {superdata = 0x806b790, 
      stringdata = 0xd677a0 "QEventLoop", data = 0xd677c0, extradata = 0x0}}}
	returnCode = -1
#44 0x00f72dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
No locals.
#45 0x08052925 in main (argc=1, argv=0xbf947484)
    at /build/buildd/plasma-widget-networkmanagement-0.9~svn1029786/monolithic/main.cpp:45
	about = {d = 0x867e1d0}
	options = {d = 0x86911f8}
	app = {<KUniqueApplication> = {<KApplication> = {<QApplication> = {<QCoreApplication> = {<QObject> = {_vptr.QObject = 0x8063d08, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0xd55ba0 "QObject", data = 0xd55c40, 
                extradata = 0xda91b8}}, d_ptr = 0x869b2a0, 
            static staticQtMetaObject = {d = {superdata = 0x0, 
                stringdata = 0xd5f380 "Qt", data = 0xd62700, 
                extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x806b790, 
              stringdata = 0xd67820 "QCoreApplication", data = 0xd678c0, 
              extradata = 0x0}}, static self = 0xbf947330}, 
        static staticMetaObject = {d = {superdata = 0xdad7e4, 
            stringdata = 0x160b860 "QApplication", data = 0x160ba60, 
            extradata = 0x0}}}, static staticMetaObject = {d = {
          superdata = 0x17d4f48, stringdata = 0xa92500 "KApplication", 
          data = 0xa926a0, extradata = 0x0}}, static loadedByKdeinit = false, 
      static KApp = 0xbf947330, d = 0x87074e0}, static staticMetaObject = {
      d = {superdata = 0xababa0, stringdata = 0xa92dc0 "KUniqueApplication", 
        data = 0xa92ec0, extradata = 0x0}}, d = 0x87670d8}, 
  static staticMetaObject = {d = {superdata = 0x806b8d8, 
      stringdata = 0x80637e0 "Monolithic", data = 0x8063ca0, 
      extradata = 0x0}}, d_ptr = 0x8760528}
	i = -1080795156
Comment 1 Kai Blin 2009-10-19 07:49:23 UTC
Actually I was manually restarting network manager as it had failed to pick up my IPv6 router advertisement and thus didn't assign a global IPv6 address. So the crash actually happened during "normal operation" rather than during an upgrade.
Comment 2 Dario Andres 2009-10-31 02:28:09 UTC
*** Bug 212443 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2009-10-31 02:28:49 UTC
*** Bug 212441 has been marked as a duplicate of this bug. ***
Comment 4 Will Stephenson 2009-10-31 08:28:16 UTC
I can't reproduce this on openSUSE; looks like I'm installing ubuntu this weekend then.
Comment 5 Dario Andres 2009-11-06 02:04:03 UTC
*** Bug 213237 has been marked as a duplicate of this bug. ***
Comment 6 Jonathan Thomas 2009-11-10 02:02:35 UTC
*** Bug 213522 has been marked as a duplicate of this bug. ***
Comment 7 Jonathan Thomas 2009-11-10 02:51:30 UTC
*** Bug 213775 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2009-11-14 04:12:06 UTC
*** Bug 209092 has been marked as a duplicate of this bug. ***
Comment 9 Dario Andres 2009-11-14 04:12:23 UTC
*** Bug 214428 has been marked as a duplicate of this bug. ***
Comment 10 Will Stephenson 2009-11-17 18:32:43 UTC
*** Bug 211586 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2009-11-23 13:47:29 UTC
*** Bug 215781 has been marked as a duplicate of this bug. ***
Comment 12 Dario Andres 2009-12-02 20:25:57 UTC
*** Bug 217089 has been marked as a duplicate of this bug. ***
Comment 13 Marcin Brański 2009-12-18 18:56:12 UTC
Created attachment 39160 [details]
knetworkmanager-20091218.kcrash
Comment 14 Marcin Brański 2009-12-18 19:14:35 UTC
Comment on attachment 39160 [details]
knetworkmanager-20091218.kcrash

restarting network-manager cause knetworkmanager crash every single time.
Comment 15 Dario Andres 2009-12-20 14:15:20 UTC
*** Bug 219396 has been marked as a duplicate of this bug. ***
Comment 16 Dario Andres 2009-12-22 18:21:14 UTC
*** Bug 219689 has been marked as a duplicate of this bug. ***
Comment 17 Will Stephenson 2010-01-05 17:18:57 UTC
See also bko#215918
Comment 18 Dario Andres 2010-01-12 13:13:17 UTC
From bug 222257:
---
Some more information: The crash happened on my laptop using wifi and a wpa
secured network. If I disable wireless connections or use a wired connection
instead, then knetworkmanager does not crash. As soon as I enable wireless and
restart network-manager the crash appears.
Comment 19 Dario Andres 2010-01-12 13:13:20 UTC
*** Bug 222257 has been marked as a duplicate of this bug. ***
Comment 20 Dario Andres 2010-01-12 13:40:24 UTC
*** Bug 222322 has been marked as a duplicate of this bug. ***
Comment 21 Dario Andres 2010-01-26 12:51:11 UTC
Bug 224297 got some networkmanager-related config files.
Comment 22 Dario Andres 2010-01-26 12:51:13 UTC
*** Bug 224297 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2010-01-29 17:43:43 UTC
*** Bug 224750 has been marked as a duplicate of this bug. ***
Comment 24 Dario Andres 2010-02-10 13:25:00 UTC
*** Bug 226015 has been marked as a duplicate of this bug. ***
Comment 25 Dario Andres 2010-02-10 13:27:03 UTC
*** Bug 226007 has been marked as a duplicate of this bug. ***
Comment 26 Dario Andres 2010-02-16 01:21:25 UTC
*** Bug 227090 has been marked as a duplicate of this bug. ***
Comment 27 Dario Andres 2010-03-19 12:55:42 UTC
*** Bug 231278 has been marked as a duplicate of this bug. ***
Comment 28 Dario Andres 2010-03-26 13:50:53 UTC
*** Bug 232104 has been marked as a duplicate of this bug. ***
Comment 29 Dario Andres 2010-03-28 00:27:24 UTC
*** Bug 231861 has been marked as a duplicate of this bug. ***
Comment 30 Nicolas L. 2010-04-29 08:45:52 UTC
*** Bug 235675 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2010-07-07 03:05:17 UTC
*** Bug 242283 has been marked as a duplicate of this bug. ***
Comment 32 Christoph Feck 2010-07-07 03:05:36 UTC
*** Bug 241678 has been marked as a duplicate of this bug. ***
Comment 33 Christoph Feck 2010-07-07 03:06:02 UTC
*** Bug 235015 has been marked as a duplicate of this bug. ***
Comment 34 Jean-Charles CASTELLANI 2010-07-18 23:45:13 UTC
Created attachment 49295 [details]
New crash information added by DrKonqi

crash after "service NetworkManager restart" on fedora 13
Comment 35 Christoph Feck 2010-08-06 11:11:42 UTC
*** Bug 246871 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2010-08-06 11:48:03 UTC
*** Bug 243887 has been marked as a duplicate of this bug. ***
Comment 37 Christoph Feck 2010-08-06 11:50:29 UTC
*** Bug 245839 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2010-08-06 11:50:53 UTC
*** Bug 246176 has been marked as a duplicate of this bug. ***
Comment 39 Christoph Feck 2010-08-06 11:54:32 UTC
*** Bug 244291 has been marked as a duplicate of this bug. ***
Comment 40 Jonathan Thomas 2010-08-20 04:25:31 UTC
*** Bug 248408 has been marked as a duplicate of this bug. ***
Comment 41 Pino Toscano 2010-08-22 10:17:57 UTC
*** Bug 248662 has been marked as a duplicate of this bug. ***
Comment 42 Rolf Eike Beer 2010-08-22 17:54:34 UTC
I just got the same one: Wifi, openSUSE 11.3, KDE 4.5.0.
Comment 43 Fave Arju 2010-09-09 07:48:42 UTC
Created attachment 51448 [details]
New crash information added by DrKonqi

After I switch between ifup and KNetworkmanager 2 or 3 times with yast, the Manager crashes instantly.
Comment 44 GeoK 2010-10-13 05:59:38 UTC
Created attachment 52472 [details]
New crash information added by DrKonqi

knetworkmanager (v0.9) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

The kNetworkManager crashes always on restart from hibernate on OpenSuse 11.2.

-- Backtrace (Reduced):
#7  ref (this=<value optimized out>) at /usr/include/QtCore/qatomic_i386.h:120
#8  QString (this=<value optimized out>) at /usr/include/QtCore/qstring.h:728
#9  Knm::Activatable::deviceUni (this=<value optimized out>) at /usr/src/debug/networkmanagement/libs/internals/activatable.cpp:51
#10 0xb6ec5374 in compareDevices (first=0x81c1ba8, second=0x8191640) at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:263
#11 0xb6ec54c2 in activatableLessThan (first=0x81c1ba8, second=0x8191640) at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:173
Comment 45 Christoph Feck 2010-10-23 16:01:07 UTC
*** Bug 254993 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2010-10-23 16:01:48 UTC
*** Bug 254337 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2010-10-23 16:02:32 UTC
*** Bug 254112 has been marked as a duplicate of this bug. ***
Comment 48 Christoph Feck 2010-10-23 16:02:52 UTC
*** Bug 253885 has been marked as a duplicate of this bug. ***
Comment 49 Christoph Feck 2010-10-23 16:03:14 UTC
*** Bug 253726 has been marked as a duplicate of this bug. ***
Comment 50 Christoph Feck 2010-10-23 16:03:35 UTC
*** Bug 252995 has been marked as a duplicate of this bug. ***
Comment 51 Christoph Feck 2010-10-23 16:03:55 UTC
*** Bug 252712 has been marked as a duplicate of this bug. ***
Comment 52 Christoph Feck 2010-11-08 23:05:20 UTC
*** Bug 256244 has been marked as a duplicate of this bug. ***
Comment 53 Christoph Feck 2010-11-08 23:05:48 UTC
*** Bug 256165 has been marked as a duplicate of this bug. ***
Comment 54 Christoph Feck 2010-11-08 23:06:24 UTC
*** Bug 256026 has been marked as a duplicate of this bug. ***
Comment 55 Christoph Feck 2010-11-08 23:06:43 UTC
*** Bug 255945 has been marked as a duplicate of this bug. ***
Comment 56 Christoph Feck 2010-11-08 23:07:04 UTC
*** Bug 255456 has been marked as a duplicate of this bug. ***
Comment 57 Christoph Feck 2010-11-08 23:07:19 UTC
*** Bug 255159 has been marked as a duplicate of this bug. ***
Comment 58 Christoph Feck 2010-11-08 23:07:39 UTC
*** Bug 254828 has been marked as a duplicate of this bug. ***
Comment 59 Christoph Feck 2010-11-08 23:08:00 UTC
*** Bug 254344 has been marked as a duplicate of this bug. ***
Comment 60 Christoph Feck 2010-11-08 23:08:25 UTC
*** Bug 253993 has been marked as a duplicate of this bug. ***
Comment 61 Christoph Feck 2010-11-08 23:08:56 UTC
*** Bug 253521 has been marked as a duplicate of this bug. ***
Comment 62 Christoph Feck 2010-11-08 23:09:06 UTC
*** Bug 253196 has been marked as a duplicate of this bug. ***
Comment 63 Christoph Feck 2010-11-08 23:09:27 UTC
*** Bug 252410 has been marked as a duplicate of this bug. ***
Comment 64 Christoph Feck 2010-11-08 23:10:21 UTC
*** Bug 250798 has been marked as a duplicate of this bug. ***
Comment 65 Christoph Feck 2010-11-08 23:32:32 UTC
*** Bug 255368 has been marked as a duplicate of this bug. ***
Comment 66 Dario Andres 2010-11-21 14:29:05 UTC
*** Bug 257472 has been marked as a duplicate of this bug. ***
Comment 67 Dario Andres 2010-12-02 22:28:57 UTC
*** Bug 258539 has been marked as a duplicate of this bug. ***
Comment 68 Dario Andres 2010-12-04 15:55:25 UTC
*** Bug 258762 has been marked as a duplicate of this bug. ***
Comment 69 GJ Johnson 2010-12-06 04:48:27 UTC
Created attachment 54192 [details]
New crash information added by DrKonqi

Network Manager consistantly crashes when the network is restarted.  On initial bootup, network manager will not work.  After it has crashed and been restarted, the wifi and ethernet devices are visible and can be managed through the network manager application.
Comment 70 GJ Johnson 2010-12-06 04:50:31 UTC
(In reply to comment #69)
> Created an attachment (id=54192) [details]
> New crash information added by DrKonqi
> 
> Network Manager consistantly crashes when the network is restarted.  On initial
> bootup, network manager will not work.  After it has crashed and been
> restarted, the wifi and ethernet devices are visible and can be managed through
> the network manager application.
Comment 71 Dario Andres 2010-12-07 01:22:11 UTC
*** Bug 258907 has been marked as a duplicate of this bug. ***
Comment 72 Dario Andres 2010-12-07 01:22:12 UTC
*** Bug 258956 has been marked as a duplicate of this bug. ***
Comment 73 Dario Andres 2010-12-17 17:22:23 UTC
*** Bug 259221 has been marked as a duplicate of this bug. ***
Comment 74 Dario Andres 2010-12-17 17:22:27 UTC
*** Bug 260324 has been marked as a duplicate of this bug. ***
Comment 75 Dario Andres 2010-12-18 23:03:34 UTC
*** Bug 260637 has been marked as a duplicate of this bug. ***
Comment 76 Dario Andres 2011-01-23 15:38:47 UTC
*** Bug 263968 has been marked as a duplicate of this bug. ***
Comment 77 Dario Andres 2011-01-23 18:18:42 UTC
*** Bug 261893 has been marked as a duplicate of this bug. ***
Comment 78 Lamarque V. Souza 2011-01-23 19:16:55 UTC
This problem is caused by dangling pointers left in ActivableLists before NM starts again. Last November I commited a patch to workaround this problem by emptying the ActivatableList when NetworkManager goes down. It fixed the problem in my tests. Please upgrade to a recent networkmanagement (Plasma NM) revision.
Comment 79 Dario Andres 2011-01-29 14:23:31 UTC
*** Bug 264185 has been marked as a duplicate of this bug. ***
Comment 80 Dario Andres 2011-01-30 22:55:26 UTC
*** Bug 264881 has been marked as a duplicate of this bug. ***
Comment 81 Lamarque V. Souza 2011-02-04 15:10:36 UTC
*** Bug 258168 has been marked as a duplicate of this bug. ***
Comment 82 Lamarque V. Souza 2011-02-04 15:11:24 UTC
*** Bug 263047 has been marked as a duplicate of this bug. ***
Comment 83 Lamarque V. Souza 2011-02-04 15:15:32 UTC
*** Bug 256631 has been marked as a duplicate of this bug. ***
Comment 84 Lamarque V. Souza 2011-02-08 16:08:21 UTC
*** Bug 265797 has been marked as a duplicate of this bug. ***
Comment 85 Lamarque V. Souza 2011-02-10 08:42:36 UTC
Git commit 47519cb76d6285199ec2a6f0f8148490674c34a8 by Lamarque V. Souza.
Committed on 10/02/2011 at 08:34.
Pushed by lvsouza into branch 'master'.

Another try to solve the dangling pointers problem.

CCBUG: 210878

M  +0    -21   libs/service/activatablelist.cpp     
M  +0    -2    libs/service/activatablelist.h     
M  +1    -0    solidcontrolfuture/wirelessnetworkinterfaceenvironment.cpp     

http://commits.kde.org/networkmanagement/47519cb76d6285199ec2a6f0f8148490674c34a8
Comment 86 Lamarque V. Souza 2011-02-10 20:51:18 UTC
Git commit a8d87d386293681e3700275798984e8e3d602b79 by Lamarque V. Souza.
Committed on 10/02/2011 at 20:39.
Pushed by lvsouza into branch 'master'.

Prevents a crazy flux of several networkDisappeared signals for the same ssid
when several Solid::Control::WirelessNetworkInterfaceEnvironment
objects are deleted during wifi or NetworkManager turning off. The end
result is the same as using wirelessEnabledChanged(false) but now there
is no signal being emitted.

CCBUG: 210878

M  +24   -0    libs/service/wirelessnetworkinterfaceactivatableprovider.cpp     
M  +0    -1    solidcontrolfuture/wirelessnetworkinterfaceenvironment.cpp     

http://commits.kde.org/networkmanagement/a8d87d386293681e3700275798984e8e3d602b79
Comment 87 Frank Reininghaus 2011-02-11 15:56:13 UTC
*** Bug 249226 has been marked as a duplicate of this bug. ***
Comment 88 Frank Reininghaus 2011-02-11 15:56:57 UTC
*** Bug 249270 has been marked as a duplicate of this bug. ***
Comment 89 Frank Reininghaus 2011-02-11 16:02:14 UTC
*** Bug 263487 has been marked as a duplicate of this bug. ***
Comment 90 Frank Reininghaus 2011-02-11 16:04:29 UTC
*** Bug 258469 has been marked as a duplicate of this bug. ***
Comment 91 Lamarque V. Souza 2011-02-11 18:08:39 UTC
*** Bug 266079 has been marked as a duplicate of this bug. ***
Comment 92 Lamarque V. Souza 2011-02-23 19:03:21 UTC
Please try the latest Plasma NM snapshot and report if this bug still happens. I would like to close this bug if it does not happen anymore.
Comment 93 Lamarque V. Souza 2011-03-03 05:27:34 UTC
*** Bug 267500 has been marked as a duplicate of this bug. ***
Comment 94 shani 2011-03-10 18:16:48 UTC
Created attachment 57837 [details]
New crash information added by DrKonqi

kded4 ($Id$) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0

- What I was doing when the application crashed: kdm frozeup ... i restarted kdm and network manager did not restart. i restarted kdm manually ... and it still did not restart. i dialed via vwdial to report the bug.

-- Backtrace (Reduced):
#7  ref (this=0x9b18aa8) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#8  QString (this=0x9b18aa8) at /usr/include/qt4/QtCore/qstring.h:728
#9  Knm::Activatable::deviceUni (this=0x9b18aa8) at ../../../libs/internals/activatable.cpp:51
#10 0x02829300 in compareDevices (first=0x9b1ec10, second=0x9b18aa8) at ../../../libs/service/sortedactivatablelist.cpp:263
#11 0x0282940c in activatableLessThan (first=0x9b1ec10, second=0x9b18aa8) at ../../../libs/service/sortedactivatablelist.cpp:172
Comment 95 Lamarque V. Souza 2011-03-10 20:24:16 UTC
(In reply to comment #94)
> Created an attachment (id=57837) [details]
> New crash information added by DrKonqi
> 
> kded4 ($Id$) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.0
> 
> - What I was doing when the application crashed: kdm frozeup ... i restarted
> kdm and network manager did not restart. i restarted kdm manually ... and it
> still did not restart. i dialed via vwdial to report the bug.

This is odd. If you restarted kdm all kde session should have been restarted as well, including kded. It is very unlikely this bug happens on an fresh starting kded. NetworkManager is not supposed to restart because any of its clients (Plasma NM, nm-appplet, whatever) have restarted. Are you sure what you restarted was kdm? You said kdm frozen, I have never seem kdm freezing. What were you doing before the freezing?
 
> -- Backtrace (Reduced):
> #7  ref (this=0x9b18aa8) at /usr/include/qt4/QtCore/qatomic_i386.h:120
> #8  QString (this=0x9b18aa8) at /usr/include/qt4/QtCore/qstring.h:728
> #9  Knm::Activatable::deviceUni (this=0x9b18aa8) at
> ../../../libs/internals/activatable.cpp:51
> #10 0x02829300 in compareDevices (first=0x9b1ec10, second=0x9b18aa8) at
> ../../../libs/service/sortedactivatablelist.cpp:263
> #11 0x0282940c in activatableLessThan (first=0x9b1ec10, second=0x9b18aa8) at
> ../../../libs/service/sortedactivatablelist.cpp:172
Comment 96 Lamarque V. Souza 2011-03-16 04:19:43 UTC
*** Bug 256900 has been marked as a duplicate of this bug. ***
Comment 97 Lamarque V. Souza 2011-03-19 21:38:55 UTC
*** Bug 268795 has been marked as a duplicate of this bug. ***
Comment 98 Lamarque V. Souza 2011-03-19 21:40:38 UTC
*** Bug 215918 has been marked as a duplicate of this bug. ***
Comment 99 Lamarque V. Souza 2011-03-31 23:04:34 UTC
*** Bug 256552 has been marked as a duplicate of this bug. ***
Comment 100 Lamarque V. Souza 2011-04-11 23:05:14 UTC
*** Bug 270705 has been marked as a duplicate of this bug. ***
Comment 101 Lamarque V. Souza 2011-04-11 23:06:25 UTC
*** Bug 263827 has been marked as a duplicate of this bug. ***
Comment 102 Matthew Flaschen 2011-04-13 17:39:15 UTC
Created attachment 58897 [details]
New crash information added by DrKonqi

kded4 ($Id: kded.cpp 1156841 2010-07-29 19:59:05Z zander $) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

KNetworkManager widget crashed with a segfault when I restarted network-manager.  I was not upgrading.

-- Backtrace (Reduced):
#6  ref (this=0x124a850) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (this=0x124a850) at /usr/include/qt4/QtCore/qstring.h:728
#8  Knm::Activatable::deviceUni (this=0x124a850) at ../../../libs/internals/activatable.cpp:51
#9  0x00007f709d3f6ddd in compareDevices (first=0x124a850, second=0xddfcc0) at ../../../libs/service/sortedactivatablelist.cpp:262
#10 0x00007f709d3f6f03 in activatableLessThan (first=0x7fff6be52930, second=0x124a850) at ../../../libs/service/sortedactivatablelist.cpp:172
Comment 103 Lamarque V. Souza 2011-04-25 19:56:49 UTC
*** Bug 271666 has been marked as a duplicate of this bug. ***
Comment 104 Lamarque V. Souza 2011-05-13 03:30:10 UTC
*** Bug 249299 has been marked as a duplicate of this bug. ***
Comment 105 Lamarque V. Souza 2011-05-20 04:18:03 UTC
*** Bug 273684 has been marked as a duplicate of this bug. ***
Comment 106 Lamarque V. Souza 2011-06-07 03:04:13 UTC
Can someone reproduce this problem with a recent Plasma NM snapshot? Please keep in mind still today some distributions ship a very old version of Plasma NM from last year. When testing please use a recent version, in the past three months we fixed tens of bugs in Plasma NM, so you must test with a recent version.
Comment 107 Bruno Friedmann 2011-06-07 07:51:29 UTC
Not my case with a PNM 0.9.2.60git.1307285472 stack
kde 4.6.3 openSUSE_Factory
Comment 108 Sasa Kara 2011-06-07 11:08:48 UTC
I think the issue is long gone, I haven't noticed it for maybe 6 months or a year. I have just verified in KDE 4.6.3 and found no problems.
Comment 109 Lamarque V. Souza 2011-06-07 19:53:23 UTC
Ok, closing this bug then.
Comment 110 Christoph Feck 2011-09-09 14:03:59 UTC
*** Bug 281685 has been marked as a duplicate of this bug. ***
Comment 111 Lamarque V. Souza 2013-12-15 14:29:01 UTC
*** Bug 325694 has been marked as a duplicate of this bug. ***